Subject: bug#34768: guix-daemon tmpfs out of space on parabola

From: swedebugia <[email-masked]>
Date: Thu, 07 Mar 2019 15:20:07 +0100

Tobias Geerinckx-Rice <[email-masked]> skrev: (6 mars 2019 15:31:13 CET)
>Hullo,
>
>swedebugia wrote:
>> I'm trying to build New Moon (unbranded palemoon browser) in 
>> parabola.
>> The tmpfs i 2G which is way too little it seems.
>>
>> I read the man page of guix-daemon and the manual and could not 
>> find a
>> way to point guix-daemon to another tmpdir than /tmp.
>
>Well, TMPDIR= should Just Work :-)
>
>You'll have to set it to the environment of guix-daemon (and 
>restart the daemon) for it to have any effect.  How that's done 
>depends on your service manager/init system.
>
>I guess a ‘set-tmpdir’ RPC could be added to the protocol.  I 
>haven't thought through the security implications, and IMO it's 
>just papering over the real bug, which is…
>
>> Is this a bug?
>
>Not sure what exactly you're referring to, but yes, I do think 
>that using /tmp instead of /var/tmp (or any non-tmpfs) is a bug by 
>modern(?) conventions.  It's guaranteed to break eventually on 
>almost every non-Guix System, and when it doesn't it's an abuse of 
>RAM and swap space.
>
>Kind regards,
>
>T G-R

Hi 😃

Thanks for the details. I agree that it is a bug.

I solved it by masking tmp.mount in systemd according to the arch wiki and thus disabled tmpfs for the whole thing.
-- 
Sent from my k-9 mail for Android.